Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceZoneMapService

    @MTOM(enabled=true,
          threshold=1024)
    public interface VoiceZoneMapService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `importZoneMap​(int zomeMapId, int mode, javax.xml.ws.Holder<javax.activation.DataHandler> importContent)` | Импорт элементов карты зон.
  `int` | `voiceZoneMapDelete​(int zoneMapId)` | Удаление карты зон из БД.
  `int` | `voiceZoneMapItemDelete​(java.util.List<java.lang.Integer> itemIds)` | Удаление элемента (ов) карты зон по его идентификатору.
  `VoiceZoneMapItem` | `voiceZoneMapItemGet​(int itemId)` | Получение одного конкретного элемента карты зон по его идентификатору.
  `void` | `voiceZoneMapItemTree​(int zoneMapId, javax.xml.ws.Holder<javax.activation.DataHandler> content)` | Получение списка элементов у карты зон.
  `int` | `voiceZoneMapItemUpdate​(VoiceZoneMapItem item)` | Добавление/редактирование элемента карты зон.
  `java.util.List<VoiceZoneMap>` | `voiceZoneMapList()` | Получение общего списка карт зон.
  `int` | `voiceZoneMapUpdate​(VoiceZoneMap zoneMap)` | Добавление/Редактирование карты зон в БД.

- ## Method Details

  - ### voiceZoneMapList

    java.util.List<VoiceZoneMap> voiceZoneMapList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение общего списка карт зон.
    Returns:
      список карт зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapUpdate

    int voiceZoneMapUpdate​(VoiceZoneMap zoneMap) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/Редактирование карты зон в БД.
    Parameters:
      `zoneMap` - карта зон.
    Returns:
      код добавленной/обновленной записи.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapDelete

    int voiceZoneMapDelete​(int zoneMapId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление карты зон из БД.
    Parameters:
      `zoneMapId` - код удаляемой карты зон.
    Returns:
      код удаленной карты зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapItemTree

    void voiceZoneMapItemTree​(int zoneMapId, javax.xml.ws.Holder<javax.activation.DataHandler> content) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка элементов у карты зон.
    Parameters:
      `zoneMapId` - код карты зон.
      `date` - дата, на которую выводится дерево с элементами карты зон
      `content` - содержимое дерева элементов карты зон, представленное в виде сериализованного стандартными средствами Java объекта VoiceZoneMapItem
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapItemGet

    VoiceZoneMapItem voiceZoneMapItemGet​(int itemId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного элемента карты зон по его идентификатору.
    Parameters:
      `itemId` - id элемента
    Returns:
      элемент карты зон
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapItemUpdate

    int voiceZoneMapItemUpdate​(VoiceZoneMapItem item) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/редактирование элемента карты зон.
    Parameters:
      `item` - добавляемый/редактируемый элемент карты зон.
    Returns:
      код добавленного/отредактированного элемента карты зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceZoneMapItemDelete

    int voiceZoneMapItemDelete​(java.util.List<java.lang.Integer> itemIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление элемента (ов) карты зон по его идентификатору.
    Parameters:
      `itemIds` - список id элементов карты зон, подлежащих удалению.
    Returns:
      кол-во удаленных элементов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### importZoneMap

    java.lang.String importZoneMap​(int zomeMapId, int mode, javax.xml.ws.Holder<javax.activation.DataHandler> importContent) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Импорт элементов карты зон.
    Parameters:
      `zomeMapId` - код карты цен, в которую импортируются элементы
      `mode` - =0 из текстово поля =1 из xmlфайла
      `importContent` - данные
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`